/* tslint:disable */
/* eslint-disable */
/**
 * OpenAPI definition
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


import { Vehicle } from './vehicle';

/**
 * 
 * @export
 * @interface TransportRequestBody
 */
export interface TransportRequestBody {
    /**
     * 
     * @type {string}
     * @memberof TransportRequestBody
     */
    'id'?: string;
    /**
     * 
     * @type {Vehicle}
     * @memberof TransportRequestBody
     */
    'vehicle'?: Vehicle;
    /**
     * 
     * @type {string}
     * @memberof TransportRequestBody
     */
    'mode'?: TransportRequestBodyModeEnum;
    /**
     * 
     * @type {string}
     * @memberof TransportRequestBody
     */
    'arrivalPortCallId'?: string;
    /**
     * 
     * @type {string}
     * @memberof TransportRequestBody
     */
    'destinationPortCallId'?: string;
}

export const TransportRequestBodyModeEnum = {
    Ocean: 'OCEAN'
} as const;

export type TransportRequestBodyModeEnum = typeof TransportRequestBodyModeEnum[keyof typeof TransportRequestBodyModeEnum];


